Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging
Interface Log4jSocketServerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  Log4jSocketServer

public interface Log4jSocketServerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`int` | `getBacklog()`
`InetAddress` | `getBindAddress()`
`org.apache.log4j.spi.LoggerRepository` | `getLoggerRepository(InetAddress addr)`
`Class` | `getLoggerRepositoryFactoryType()`
`int` | `getPort()`
`void` | `setBacklog(int backlog)`
`void` | `setBindAddress(InetAddress addr)`
`boolean` | `setListenerEnabled()`
`void` | `setListenerEnabled(boolean enabled)`
`void` | `setLoggerRepositoryFactoryType(Class type)`
`void` | `setPort(int port)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### setBacklog

    public void setBacklog(int backlog)

### getBacklog

    public int getBacklog()

### setBindAddress

    public void setBindAddress(InetAddress addr)

### getBindAddress

    public InetAddress getBindAddress()

### setListenerEnabled

    public void setListenerEnabled(boolean enabled)

### setListenerEnabled

    public boolean setListenerEnabled()

### setLoggerRepositoryFactoryType

    public void setLoggerRepositoryFactoryType(Class type)
                                        throws InstantiationException,
                                               IllegalAccessException,
                                               ClassCastException

  Throws:
    `InstantiationException`
    `IllegalAccessException`
    `ClassCastException`

### getLoggerRepositoryFactoryType

    public Class getLoggerRepositoryFactoryType()

### getLoggerRepository

    public org.apache.log4j.spi.LoggerRepository getLoggerRepository(InetAddress addr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.